Skip to Content
Distributed NewSQL Database(TiDB)GetTiDBClusterUhostSpecs

get tidb cluster uhost specs - GetTiDBClusterUhostSpecs

Overview

get tidb cluster uhost specs

Definition

Public Parameters

Parameter NameTypeDescription InformationRequired
ActionstringCorresponding API command name, the current API is GetTiDBClusterUhostSpecs.Yes
PublicKeystringThe user’s public key can be obtained from Console Yes
SignaturestringUser signature generated based on public key and API command, see Signature AlgorithmYes

Request Parameters

Parameter NameTypeDescription InformationRequired
RegionstringRegion. See Region and Zone ListYes
ProjectIdstringProject ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the GetProjectList APINo
NodeTypes.Nstringnode typesYes

Response Field

Field NameTypeDescription InformationRequired
RetCodeintReturn status code. If it is 0, it means successful return. If it is not 0, it means failure.Yes
ActionstringOperation command name.Yes
MessagestringReturns an error message, providing detailed description when RetCode is non-zero.No
Dataarray[UhostSpecs]data detailYes

Data Model

UhostSpecs

Field NameTypeDescription InformationRequired
ConfigIdstringnode config idNo
ConfigNamestringnode config nameNo
NodeTypestringnode typeNo
CoreNumintcore numNo
MemoryintmemoryNo
MinDiskCapacityintmin disk capacityNo
MaxDiskCapacityintmax disk capacityNo
DiskStepintdisk stepNo

Example

Request Example

https://api.ucloud-global.com/?Action=GetTiDBClusterUhostSpecs &Region=cn-zj &Zone=cn-zj-01 &ProjectId=qlpevylf &NodeTypes.n=DBOKWdQt

Response Example

{ "Action": "GetTiDBClusterUhostSpecsResponse", "Data": [ { "ConfigId": "tpCPgiYJ", "ConfigName": "QTZPCDpd", "CoreNum": 1, "Memory": 5, "NodeType": "CljEIqrg" } ], "RetCode": 0 }